package co.barkbuddy.model;

import java.util.ArrayList;

public class Dog {
	private String id;
	private String name;
	private String status;
	private int age;
	private String lastSeenTime;
	private String lastSeenPlace;
	private Size size;
	private String description;
	private ArrayList<String> breed;
	private ArrayList<Size> likesSizes;
	private ArrayList<Size> dislikesSizes;
	private ArrayList<String> likesBreeds;
	private ArrayList<String> dislikesBreeds;
	private double rating;
	private ArrayList<Comment> comments;
	private byte[] image;
	private ArrayList<Dog> friends;
	private ArrayList<User> owners;
	private Gender gender;
	
	public Dog() {
		setBreed(new ArrayList<String>());
		setLikesSizes(new ArrayList<Size>());
		setDislikesSizes(new ArrayList<Size>());
		setLikesBreeds(new ArrayList<String>());
		setDislikesBreeds(new ArrayList<String>());
		setFriends(new ArrayList<Dog>());
		setOwners(new ArrayList<User>());
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public ArrayList<String> getBreed() {
		return breed;
	}

	public void setBreed(ArrayList<String> breed) {
		this.breed = breed;
	}
	
	public ArrayList<Comment> getComments() {
		return comments;
	}

	public void setComments(ArrayList<Comment> comments) {
		this.comments = comments;
	}

	public Size getSize() {
		return size;
	}

	public void setSize(Size size) {
		this.size = size;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public int getAge() {
		return age;
	}

	public void setAge(int age) {
		this.age = age;
	}

	public String getLastSeenTime() {
		return lastSeenTime;
	}

	public void setLastSeenTime(String lastSeenTime) {
		this.lastSeenTime = lastSeenTime;
	}

	public String getLastSeenPlace() {
		return lastSeenPlace;
	}

	public void setLastSeenPlace(String lastSeenPlace) {
		this.lastSeenPlace = lastSeenPlace;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public ArrayList<Size> getLikesSizes() {
		return likesSizes;
	}

	public void setLikesSizes(ArrayList<Size> likesSizes) {
		this.likesSizes = likesSizes;
	}

	public ArrayList<Size> getDislikesSizes() {
		return dislikesSizes;
	}

	public void setDislikesSizes(ArrayList<Size> dislikesSizes) {
		this.dislikesSizes = dislikesSizes;
	}

	public ArrayList<String> getLikesBreeds() {
		return likesBreeds;
	}

	public void setLikesBreeds(ArrayList<String> likesBreeds) {
		this.likesBreeds = likesBreeds;
	}

	public ArrayList<String> getDislikesBreeds() {
		return dislikesBreeds;
	}

	public void setDislikesBreeds(ArrayList<String> dislikesBreeds) {
		this.dislikesBreeds = dislikesBreeds;
	}

	public byte[] getImage() {
		return image;
	}

	public void setImage(byte[] image) {
		this.image = image;
	}

	public double getRating() {
		return rating;
	}

	public void setRating(double rating) {
		this.rating = rating;
	}

	public ArrayList<Dog> getFriends() {
		return friends;
	}

	public void setFriends(ArrayList<Dog> friends) {
		this.friends = friends;
	}

	public Gender getGender() {
		return gender;
	}

	public void setGender(Gender gender) {
		this.gender = gender;
	}

	public ArrayList<User> getOwners() {
		return owners;
	}

	public void setOwners(ArrayList<User> owners) {
		this.owners = owners;
	}

	public static enum Size {
		Small,
		Medium,
		Large
	}
}
