package co.barkbuddy.profile;

import co.barkbuddy.R;
import co.barkbuddy.model.Dog;

import com.actionbarsherlock.app.SherlockListFragment;
import com.actionbarsherlock.view.MenuItem;

import android.os.Bundle;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.view.ViewGroup;

public class DogProfilesFragment extends SherlockListFragment {
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		this.setHasOptionsMenu(true);
		
		ArrayAdapter<Dog> dogAdapter = new ArrayAdapter<Dog>(getActivity(), R.layout.dog_profile_element, new Dog[] {new Dog(), new Dog()}) {
        	@Override
        	public View getView(int position, View convertView, ViewGroup parent) {
        		View row;
         
        		if (null == convertView) {
        			row = getActivity().getLayoutInflater().inflate(R.layout.dog_profile_element, null);
        		} else {
        			row = convertView;
        		}
         
//        		TextView tv = (TextView)row.findViewById(android.R.id.text1);
//        		Machine.Service ms = getItem(position);
//        		tv.setText(ms.getName() + " (" + (ms.isRunning() ? "Running" : "Stopped") + ")");
         
        		return row;
        	}
        	
        	@Override
        	public boolean isEnabled(int pos) {
        		return false;
        	}
        };
        
        this.setListAdapter(dogAdapter);
	}
	
	@Override
	public void onActivityCreated(Bundle savedInstanceState) {   
		super.onActivityCreated(savedInstanceState);
	    ListView lv = getListView();
	    lv.setDividerHeight(0);
	}
	
	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		return true;
	}
}